View Issue Details

IDProjectCategoryView StatusLast Update
0005710Multi Theft Auto : San AndreasClientpublic2011-01-16 20:12
ReporterDevan_LTAssigned Toryden 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version1.1 
Summary0005710: Control rotation of car doors
Description

It's already possible to set the state of the doors, but more control would be useful. With control of car doors rotation we could script things like opening trunk of the car. Rotation doesn't need to be synced. Making client-side functions would be enough.

TagsNo tags attached.

Relationships

has duplicate 0005753 closed Multi Theft Auto : San Andreas Request: setDoorAngle scripting function 
child of 0003344 closed New Feature Requests Requested features tracker 

Activities

onestone

2010-12-26 20:24

viewer   ~~0012362

The door state and rotation is synced (in 1.1 nightlys) so a function to set the rotation wouldn't be that hard? Correct me if I am wrong

QuantumZ

2010-12-27 00:30

viewer   ~~0012363

Last edited: 2010-12-27 00:30

I think that's posible, for example we can have:

setVehicleDoorRotation(<vehicle>, <doorID>, <rotation>)
getVehicleDoorRotation(<vehicle>, <doorID>)

<doorID> = 1,2,3,4 and "all"

we can also have functions for hood and trunk.

eAi

2010-12-27 01:17

administrator   ~~0012364

We discussed this in the change that added syncing: http://code.google.com/p/mtasa-blue/source/detail?r=2110

ryden

2011-01-16 20:12

manager   ~~0012568

Fixed in http://code.google.com/p/mtasa-blue/source/detail?r=2329

Issue History

Date Modified Username Field Change